UbixOS V2 2.0

Data Fields
Elf64_Ehdr Struct Reference

`#include <elf64.h>`

Collaboration diagram for Elf64_Ehdr:

## Data Fields
Elf64_Half | e_ehsize
Elf64_Addr | e_entry
Elf64_Word | e_flags
unsigned char | e_ident [EI_NIDENT]
Elf64_Half | e_machine
Elf64_Half | e_phentsize
Elf64_Half | e_phnum
Elf64_Off | e_phoff
Elf64_Half | e_shentsize
Elf64_Half | e_shnum
Elf64_Off | e_shoff
Elf64_Half | e_shstrndx
Elf64_Half | e_type
Elf64_Word | e_version

## Detailed Description

Definition at line 64 of file elf64.h.

## Field Documentation

## ◆ e_ehsize

Elf64_Half Elf64_Ehdr::e_ehsize

Definition at line 73 of file elf64.h.

## ◆ e_entry

Elf64_Addr Elf64_Ehdr::e_entry

Definition at line 69 of file elf64.h.

## ◆ e_flags

Elf64_Word Elf64_Ehdr::e_flags

Definition at line 72 of file elf64.h.

## ◆ e_ident

unsigned char Elf64_Ehdr::e_ident[EI_NIDENT]

Definition at line 65 of file elf64.h.

## ◆ e_machine

Elf64_Half Elf64_Ehdr::e_machine

Definition at line 67 of file elf64.h.

## ◆ e_phentsize

Elf64_Half Elf64_Ehdr::e_phentsize

Definition at line 74 of file elf64.h.

## ◆ e_phnum

Elf64_Half Elf64_Ehdr::e_phnum

Definition at line 75 of file elf64.h.

## ◆ e_phoff

Elf64_Off Elf64_Ehdr::e_phoff

Definition at line 70 of file elf64.h.

## ◆ e_shentsize

Elf64_Half Elf64_Ehdr::e_shentsize

Definition at line 76 of file elf64.h.

## ◆ e_shnum

Elf64_Half Elf64_Ehdr::e_shnum

Definition at line 77 of file elf64.h.

## ◆ e_shoff

Elf64_Off Elf64_Ehdr::e_shoff

Definition at line 71 of file elf64.h.

## ◆ e_shstrndx

Elf64_Half Elf64_Ehdr::e_shstrndx

Definition at line 78 of file elf64.h.

## ◆ e_type

Elf64_Half Elf64_Ehdr::e_type

Definition at line 66 of file elf64.h.

## ◆ e_version

Elf64_Word Elf64_Ehdr::e_version

Definition at line 68 of file elf64.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/elf64.h